<% Option Explicit %>
<!-- #include file="../../Includes/Request_Start.inc.asp" -->
<script runat="server" language="vbscript" src="../../Includes/gameValidator.vbs"></script>
<%
Dim GameID, LinkId
GameID = CLng(Request.QueryString("GameId"))
LinkId = CLng(Request.QueryString("LinkId"))

Dim Conn : Set Conn = Server.CreateObject("ADODB.Connection")
 Conn.Open Application("ConnectionString")
ValidateGameWithConn GameID, Conn

If Not IsEmpty(Request.Form("_save")) Then Save

Sub Save

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = "DELETE FROM [Game Link Item Drops] WHERE [Game Id] = ? AND [Link Id] = ?"
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)
		.Parameters.Append .CreateParameter("LinkId",adInteger,adParamInput,4,LinkId)
		.Execute
	End With

	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = _
			"INSERT INTO [Game Link Item Drops] ([Game ID], [Link Id], [Item Id]) " & _
			"VALUES (?, ?, ?) "
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,8,GameID)
		.Parameters.Append .CreateParameter("LinkId",adInteger,adParamInput,8,LinkId)
		.Parameters.Append .CreateParameter("ItemId",adInteger,adParamInput,8)

		Dim i
		For i = 1 To Request.Form("DroppedItem").Count
			.Parameters("ItemId").Value = Request.Form("DroppedItem")(i)
			.Execute
		Next
	End With

	Conn.Close
	%><script>
	    var win = ( (window.dialogArguments) ? (window.dialogArguments) : (window.opener) );
        win.btn_save_changes.click();
	    window.close();
	  </script><%
	Response.End
End Sub

%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <title>Item Drops</title>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
    <link href="../../App_Themes/CYS/styles.css" rel="stylesheet" type="text/css">
    <base target="MAG_editItemDrops">
    <script>

window.name = "MAG_editItemDrops";
</script>
</head>
<body>
    <form target="MAG_editItemDrops" method="post">
        <div style="padding: 15px;">
            <h1>Item Drops</h1>
            <p class="smallerText">
                The following rules items will be dropped when the player
   clicks on this link. Note that items will be dropped
   regardless of whether or not they are "droppable."
            </p>

            <div id="item">

                <table border="0" cellspacing="2" cellpadding="0">
                    <tr>
                        <th align="left">Item</th>
                        <th>&nbsp;</th>
                        <th align="left">Drop Item</th>
                    </tr>
                    <%
	With Server.CreateObject("ADODB.Command")
		.ActiveConnection = Conn
		.CommandText = _
			"SELECT I.[Item Id], I.[Title], CASE WHEN ID.[Item ID] IS NULL THEN 0 ELSE 1 END [Is Dropped] " & _
			"  FROM [Game Items] I " & _
			"       LEFT JOIN [Game Link Item Drops] ID " & _
			"               ON I.[Game Id] = ID.[Game Id] " & _
			"              AND I.[Item Id] = ID.[Item ID] " & _
			"              AND ID.[Link Id] = ? " & _
			" WHERE I.[Game Id] = ? " & _
			" ORDER BY I.[Title], I.[Item Id] "
		.Parameters.Append .CreateParameter("LinkId",adInteger,adParamInput,4,LinkId)
		.Parameters.Append .CreateParameter("GameID",adInteger,adParamInput,4,GameID)
		With .Execute
			Do While Not .EOF
				Response.Write "<tr>"
				Response.Write "<td"
				If .Fields("Is Dropped") = 1 Then Response.Write " style=""font-weight:bold;color:#990000"""
				Response.Write ">" & .Fields("Title") & "</td>"
				Response.Write "<td>&nbsp;</td>"
				Response.Write "<td align=""center""><input type=""checkbox"" name=""DroppedItem"""
				If .Fields("Is Dropped") = 1 Then Response.Write " checked=""true"""
				Response.Write " value=""" & .Fields("Item Id") & """></td>"
				.MoveNext
			Loop
		End With
	End With
%>
                </table>
            </div>

            <p>
                <input type="submit" name="_save" value=" Save Changes & Close " class="smallerText">
            </p>
        </div>
    </form>
</body>
</html>
<% Conn.Close %>